get
https://api.idwise.com/checks/aml/
Usage
Use this API to get the final verification result.
Authentication
Please refer to the API Credentials and Authentication page for more detailed information
Table of content
In this page you'll find a detailed documentation about the following models:
Response Model
Here is a sample top-level response you'll get from this API
{
"check_id": "12d62f80e15c1d50ff23db54",
"reference_number": "abc-123-FE13",
"check_time": "2023-01-26T08:13:00.454774",
"final_decision":"Refer",
"aml":{AMLModel},
}| Property | Description |
|---|---|
| check_id |
|
| reference_number |
|
| check_time |
|
| final_decision |
|
| aml |
|
AML Field Model
Shows the applicant’s records over Anti Money Laundering (AML) databases if exist. Here are the attributes that constitute an aml element:
| Property | Description |
|---|---|
| matches |
|
| ongoing_monitoring_enabled |
|
| last_ongoing_monitoring_update |
|
| search_datetime |
|
AML Match Model
| Property | Description |
|---|---|
| name |
|
| countries |
|
| datesOfBirth |
|
| notes |
|
| datasets |
|
| aliases |
|
| addresses |
|
| sex |
|
| score |
|
| details |
data property is dynamic and can contain any number of key-value pairs. datasets and datasets_classes are arrays of strings. media_links is an object containing properties like snippet, title, and url.See full example here |
| resourceId | Unique Id for individual match. Used for whitelist and match status update. |
Example for Details
{
"details": {
"adverse-media": {
"title": string,
"data": { "Country": [string], "Date of Birth": [string] },
"datasets": [string],
"datasets_classes": [string],
"media_links": { "snippet": [string], "title": string, "url": string }
},
"pep-institution": {
"title": "Pep Institution",
"data": {
"Country": [string],
"Political Position": [string],
"Chamber":[string],
"Institution Type":[string]
},
"datasets": [string],
"datasets_classes": [string]
}
}
}